Package org.drinkless.tdlib

# Class TdApi.NetworkStatistics

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.NetworkStatistics

Enclosing class:
  `TdApi`

public static class TdApi.NetworkStatistics extends TdApi.Object
A full list of available network statistic entries.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.NetworkStatisticsEntry[]`
  `entries`
  Network statistics entries.
  `int`
  `sinceDate`
  Point in time (Unix timestamp) from which the statistics are collected.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NetworkStatistics()`
  A full list of available network statistic entries.
  `NetworkStatistics(int sinceDate, TdApi.NetworkStatisticsEntry[] entries)`
  A full list of available network statistic entries.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### sinceDate

    public int sinceDate
    Point in time (Unix timestamp) from which the statistics are collected.

  - ### entries

    public TdApi.NetworkStatisticsEntry[] entries
    Network statistics entries.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### NetworkStatistics

    public NetworkStatistics()
    A full list of available network statistic entries.

  - ### NetworkStatistics

    public NetworkStatistics(int sinceDate, TdApi.NetworkStatisticsEntry[] entries)
    A full list of available network statistic entries.
    Parameters:
      `sinceDate` - Point in time (Unix timestamp) from which the statistics are collected.
      `entries` - Network statistics entries.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR